Bug 1305609 - 6.1 Install guide section 1.4.7 QPIDD file limits
6.1 Install guide section 1.4.7 QPIDD file limits
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.1.6
All Linux
medium Severity medium (vote)
: GA
: 6.2
Assigned To: Peter Ondrejka
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 12:14 EST by Pat Riehecky
Modified: 2016-04-27 19:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 19:56:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Riehecky 2016-02-08 12:14:24 EST
Description of problem:
The install guide suggests altering /usr/lib/systemd/system/qpidd.service which will be replaced upon component upgrades.

As a result user customizations will be removed without notice.

Version-Release number of selected component (if applicable):Revision 1-64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
 On Red Hat Enterprise Linux 7, add the following line to /usr/lib/systemd/system/qpidd.service at the end of the [Service] section:

LimitNOFILE=value

Expected results:
 On Red Hat Enterprise Linux 7, add the following lines to /etc/systemd/system/qpidd.service:
[Service]
LimitNOFILE=value


Additional info:
Comment 1 Peter Ondrejka 2016-02-10 08:26:52 EST
The problem description is confirmed by what is recommended in the sysadmin guide:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/System_Administrators_Guide/sect-Managing_Services_with_systemd-Unit_Files.html#sect-Managing_Services_with_systemd-Unit_File_Modify

Also systemctl daemon-reload and systemctl restart qpidd.service missing to apply the customization
Comment 4 Andrew Dahms 2016-04-27 19:56:27 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.